<section>
  <div class="page-header">
    <h1>{{vm.notebook._id ? 'Edit Notebook' : 'New Notebook'}}</h1>
  </div>
  <div class="col-md-12">
    <form name="vm.form.notebookForm" class="form-horizontal" ng-submit="vm.save(vm.form.notebookForm.$valid)"
          novalidate>
      <fieldset>
        <div class="form-group" show-errors>
          <label class="control-label" for="name">Name</label>
          <input name="name" type="text" ng-model="vm.notebook.name" id="name" class="form-control" placeholder="Name"
                 required>
          <div ng-messages="vm.form.notebookForm.name.$error" role="alert">
            <p class="help-block error-text" ng-message="required">Notebook name is required.</p>
          </div>
        </div>


        <div class="form-group" show-errors>
          <label class="control-label" for="name">Number</label>
          <input name="number" type="text" ng-model="vm.notebook.number" id="number" class="form-control"
                 placeholder="Number"
                 required>
          <div ng-messages="vm.form.notebookForm.name.$error" role="alert">
            <p class="help-block error-text" ng-message="required">Number is required.</p>
          </div>
        </div>


        <div class="form-group" show-errors>
          <label class="control-label" for="name">Job</label>
          <input name="job" type="text" ng-model="vm.notebook.job" id="job" class="form-control" placeholder="Job"
                 required>
          <div ng-messages="vm.form.notebookForm.name.$error" role="alert">
            <p class="help-block error-text" ng-message="required">Job is required.</p>
          </div>
        </div>


        <div class="form-group" show-errors>
          <label class="control-label" for="name">Location</label>
          <input name="location" type="text" ng-model="vm.notebook.location" id="location" class="form-control"
                 placeholder="location"
                 required>
          <div ng-messages="vm.form.notebookForm.location.$error" role="alert">
            <p class="help-block error-text" ng-message="required">location is required.</p>
          </div>
        </div>


        <div class="form-group">
          <!--<button type="submit" class="btn btn-default">{{vm.notebook._id ? 'Update' : 'Create'}}</button>-->
          <input type="submit" class="btn btn-default">
        </div>
        <div ng-show="vm.error" class="text-danger">
          <strong ng-bind="vm.error"></strong>
        </div>
      </fieldset>
    </form>
  </div>
</section>
